package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.UserOwnersV2.DeleteEntitlementOwner(ctx, operations.C1APIUserV2UserOwnersV2DeleteEntitlementOwnerRequest{
AppEntitlementRefAppID: "<id>",
AppEntitlementRefID: "<id>",
RoleSlug: "<value>",
UserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteUserEntitlementOwnerResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v2/users/{user_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appEntitlementRef": {
"appId": "<string>",
"id": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v2/users/{user_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}"
payload = { "appEntitlementRef": {
"appId": "<string>",
"id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({appEntitlementRef: {appId: '<string>', id: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v2/users/{user_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Delete Entitlement Owner
DeleteEntitlementOwner deletes an entitlement ownership source for a user (service account).
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.UserOwnersV2.DeleteEntitlementOwner(ctx, operations.C1APIUserV2UserOwnersV2DeleteEntitlementOwnerRequest{
AppEntitlementRefAppID: "<id>",
AppEntitlementRefID: "<id>",
RoleSlug: "<value>",
UserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteUserEntitlementOwnerResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The userId field.
The roleSlug field.
The appId field.
The id field.
Body
DeleteUserEntitlementOwnerRequest is the request for deleting an entitlement ownership source on a user (service account).
The AppEntitlementRef message.
Show child attributes
Show child attributes
Response
DeleteUserEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source on a user (service account).
DeleteUserEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source on a user (service account).
Was this page helpful?